My LM:roundm function may be used in the following way:
_$ (LM:roundm 12 5)
10
_$ (LM:roundm 13 5)
15
You can implement the same logic in field formatting using the ROUND formula function, by changing this:
(strcat
"%<\\AcObjProp Object(%<\\_ObjId " (LM:objectid (vlax-ename->vla-object ent)) ">%)."
(cond
( (= "CIRCLE" typ) "Circumference")
( (= "ARC" typ) "ArcLength")
( "Length" )
)
" \\f \"" fmt "\">%"
)
To:
(strcat
"%<\\AcExpr (ROUND(%<\\AcObjProp Object(%<\\_ObjId " (LM:objectid (vlax-ename->vla-object ent)) ">%)."
(cond
( (= "CIRCLE" typ) "Circumference")
( (= "ARC" typ) "ArcLength")
( "Length" )
)
">%/5.0)*5.0) \\f \"" fmt "\">%"
)